| LicenseSpring C++ SDK 7.32.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
LicenseSpring::InstallFileFilter Struct Reference

Helper struct for filtering installation files by environment and channel. More...

`#include <LicenseSpring/InstallationFile.h>`

## Public Member Functions
| InstallFileFilter ()=default
| Default constructor, creates empty filter. Corresponds to default channel and environment.
| InstallFileFilter (const char *channel, const char *env=nullptr)
| Constructs filter with given channel and environment from c-strings.
| InstallFileFilter (const std::string &channel, const std::string &env=std::string())
| Constructs filter with given channel and environment.

## Public Attributes
std::string | Channel
| Channel from where installation file should be requested.
std::string | Environment
| Environment for which installation file should be requested.

## Detailed Description

Helper struct for filtering installation files by environment and channel.

See also
  LicenseManager::getInstallationFile, getVersionList and License::check

Definition at line 18 of file InstallationFile.h.

## Constructor & Destructor Documentation

## ◆ InstallFileFilter() [1/3]

LicenseSpring::InstallFileFilter::InstallFileFilter | ( |  | ) |
| default

Default constructor, creates empty filter. Corresponds to default channel and environment.

## ◆ InstallFileFilter() [2/3]

LicenseSpring::InstallFileFilter::InstallFileFilter | ( | const char * | channel,
|  | const char * | env = `nullptr`
| ) |  |
| inline

Constructs filter with given channel and environment from c-strings.

Parameters

  channel | Channel to filter by
  env | Environment to filter by

Definition at line 26 of file InstallationFile.h.

## ◆ InstallFileFilter() [3/3]

LicenseSpring::InstallFileFilter::InstallFileFilter | ( | const std::string & | channel,
|  | const std::string & | env = `std::string()`
| ) |  |
| inline

Constructs filter with given channel and environment.

Parameters

  channel | Channel to filter by
  env | Environment to filter by

Definition at line 35 of file InstallationFile.h.

## Member Data Documentation

## ◆ Channel

std::string LicenseSpring::InstallFileFilter::Channel

Channel from where installation file should be requested.

For example can be "prod", "dev", whatever. Empty string means default channel.

Definition at line 40 of file InstallationFile.h.

## ◆ Environment

std::string LicenseSpring::InstallFileFilter::Environment

Environment for which installation file should be requested.

For example can be "win", "win32", "win64", "mac", "linux", "linux32", "linux64".

Definition at line 44 of file InstallationFile.h.

The documentation for this struct was generated from the following file:

- LicenseSpring/InstallationFile.h